Bug 103628 - dhclient crashes with floating point exception when DHCP server returns zero leasetime
Summary: dhclient crashes with floating point exception when DHCP server returns zero ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-03 11:00 UTC by Andrew Findlay
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-05 20:40:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:566 normal SHIPPED_LIVE Updated dhcp and dhclient packages 2005-05-26 04:00:00 UTC

Description Andrew Findlay 2003-09-03 11:00:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
DHCP servers return zero in the lease-time field to indicate an unlimited lease.
(BOOTP servers can only issue unlimited leases)

dhclient crashes with a Floating Point Exception when it gets zero lease time.

This has been spotted in other OSs, e.g.:

http://mail-index.netbsd.org/netbsd-users/2003/05/01/0005.html


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up a DHCP server to return zero (infinite) lease times
2. Set up RH9 Linux to obtain network info by DHCP
3. Activate the ethernet interface
    

Actual Results:  ifup fails, citing Floating Point Exception in /sbin/dhclient

Expected Results:  ifup should report OK and set the IP address for the interface

Additional info:

The component field should be 'dhclient' but Bugzilla does not have such a category.

Comment 1 Daniel Walsh 2003-09-05 20:40:21 UTC
I applied the documented patch.  Thanks.

dhcp-3_0pl2-6_15 in rawhide

Comment 2 John Flanagan 2004-12-21 19:42:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html



Note You need to log in before you can comment on or make changes to this bug.